WScript.StdOut.WriteLine("");
WScript.StdOut.WriteLine("");
WScript.StdOut.WriteLine("ASCOM Camera Gain(s) Property Checker");
WScript.StdOut.WriteLine("Copyright @ 2017 Astrogene1000_stuff");
WScript.StdOut.WriteLine("Released under GNU Lesser General Public License v3.0");
WScript.StdOut.WriteLine("");
WScript.StdOut.WriteLine("");

//===========================
chooser = new ActiveXObject("ASCOM.Utilities.Chooser");
chooser.DeviceType = "Camera";  
var camID = chooser.Choose("Camera");
cam = new ActiveXObject(camID);
//==========================================

cam.Connected = true;

var mingain, maxgain, gains;

var gains = [];
WScript.StdOut.Writeline("Checking for ASCOM Gains");
try {
	gains=cam.Gains;
	WScript.StdOut.WriteLine("");
	WScript.StdOut.WriteLine("");
	WScript.StdOut.Writeline("ASCOM Gains found");
	for(i=0;i<20;i++)
	{
		try {
			cam.Gain = i;
			gain = cam.Gain;
			WScript.StdOut.Writeline("Gains=" + i + " " + gain);
			} catch(err) {
			}
	}
}
catch(err) {
	WScript.StdOut.Writeline("ASCOM Gains NOT found");
}
WScript.StdOut.WriteLine("");
WScript.StdOut.WriteLine("");
WScript.StdOut.Writeline("Checking for ASCOM Min/Max Gain");

try {
	mingain=cam.GainMin;
	maxgain=cam.GainMax;
	WScript.StdOut.Writeline("ASCOM Min/Max Gains found");
	WScript.StdOut.Writeline("MinGain=" + mingain + " MaxGain=" + maxgain);
}
catch (err) {
	WScript.StdOut.Writeline("ASCOM Min/Max Gain NOT found");

}
WScript.StdOut.WriteLine("");
WScript.StdOut.WriteLine("");

cam.Connected = false;

